=== data/explosion/CMakeLists.txt ===

########### install files ###############

install(FILES  explosion.png DESTINATION ${pkgdatadir}/explosion )



#original Makefile.am contents follow:

#SUBDIRS = .
#
#explosiondir = ${pkgdatadir}/explosion
#
#explosion_DATA = \
#	explosion.png
#	
#	
#EXTRA_DIST = $(explosion_DATA)
