=== data/default-theme/plug-ins/CMakeLists.txt ===
add_subdirectory(Animated-icons)
add_subdirectory(Clipper)
add_subdirectory(Dbus)
add_subdirectory(dialog-rendering)
add_subdirectory(dnd2share)
add_subdirectory(GMenu)
add_subdirectory(icon-effect)
add_subdirectory(illusion)
add_subdirectory(logout)
add_subdirectory(musicPlayer)
add_subdirectory(quick-browser)
add_subdirectory(rendering)
add_subdirectory(shortcuts)
add_subdirectory(showDesktop)
add_subdirectory(stack)
add_subdirectory(switcher)

########### install files ###############




#original Makefile.am contents follow:

#SUBDIRS = . Animated-icons\
#	 Clipper\
#	 Dbus\
#	 dialog-rendering\
#	 dnd2share\
#	 GMenu\
#	 icon-effect\
#	 illusion\
#	 logout\
#	 musicPlayer\
#	 quick-browser\
#	 rendering\
#	 shortcuts\
#	 showDesktop\
#	 stack\
#	 switcher
