=== data/default-theme/plug-ins/logout/CMakeLists.txt ===

########### install files ###############

install(FILES  logout.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/logout )
