## cairo-dock 2.1.3.10

=== debian/changelog ===
cairo-dock (2.1.3.10-4) unstable; urgency=low

  * Fix typo of install path.
    Changed from usr/share/dock to usr/share/doc.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 09 Oct 2010 06:57:03 +0900

cairo-dock (2.1.3.10-3) unstable; urgency=low

  * Add curl to Recommends (Closes: #594998).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Sep 2010 06:02:54 +0900

cairo-dock (2.1.3.10-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Change to upstream version.

  [ Youhei SASAKI ]
  * Add patch: replace_gnome-terminal_to_x-terminal-emulator.patch
    - use x-terminal-emulator in default launcher
  * Add patch: modified_clean_target.patch
    - don't remove data/*.conf 
  * Bump Standard Version: 3.9.1
  * Change cairo-dock metapackage: all -> any
    - cairo-dock depends cairo-dock-core package (any)
  * Add libxtst-dev to Build-Depends (Closes: #589073)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Aug 2010 01:11:32 +0900

cairo-dock (2.1.3.10-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * New upstream: 2.1.3.10
  * Drop obsoulte patches:
    - fix_lintian_interpreter_error.patch
    - replace_thunderbird_to_icedove.patch
  * Add patche: replace_firefox_to_iceweasel
  * remove unused files: dirs, lintian-overrides
  * update README.Debian:
    - add description about cairo-dock-package-theme,
      launch-cairo-dock-after-compiz.
  * update README.source: now using quilt instead of dpatch

  [ Nobuhiro Iwamatsu ]
  * Update debain/control.
   - Changed cairo-dock to metapackage.
   - Add cairo-dock-core package.
      This package provides cairo-dock core application.
   - Update description.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 14 May 2010 22:33:37 +0900

cairo-dock (2.1.3.5-2) unstable; urgency=low

  [ Youhei SASAKI ]
  * Update man file.

  [ Nobuhiro Iwamatsu ]
  * Add cairo-dock-plugins to Recommends.
  * Change source format 3.0/quilt.
  * Update debain/control.
    - Remove dpatch from build-depends.
    - Add quilt to build-depends.
  * Add debian/source/format.
  * Update debian/patches.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Mar 2010 05:02:16 +0900

cairo-dock (2.1.3.5-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * New Upstream version 2.1.3.5
  * Update debian/control.
    - Update Homepage URL. (Closes: #570238)
  * Update man file.
    - Remove description of -F. (Closes: #572323)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 04 Mar 2010 21:29:33 +0900

cairo-dock (2.1.3.1-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * New Upstream version 2.1.3.1
    - Xinerama support. 
      Thanks package test for Pedro R. (Closes: #549005)
  * Update debian/control.
    - Change Maintainer.
      Debian Cairo-dock Maintainers
      <pkg-cairo-dock-devel@lists.alioth.debian.org>
    - Add Nobuhiro Iwamatsu and Youhei SASAKI to Uploaders.
    - Add VCS field.
    - Change section of cairo-dock-dev from x11 to devel.
    - Update description. (Closes: #551320)
  * Update debian/README.debian.
    - Add infomation of glitz support.
  * Update 01_fix_lintian_interpreter_error.dpatch

  [ Youhei SASAKI ]
  * Typo Fixed in README.debian

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 10 Feb 2010 01:38:19 +0900

cairo-dock (2.0.8.2-1) unstable; urgency=low

  * Initial release. (Closes: #493736)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 25 Sep 2009 07:34:31 +0900
