=== debian/watch ===
version=3
https://launchpad.net/cairo-dock-core/+download .*/cairo-dock-([\d\.\-]+)(-.*)?.tar.gz
