=== data/default-theme/launchers/CMakeLists.txt ===

########### install files ###############

install(FILES
	01container.desktop
	01gcalctool.desktop
	01empathy.desktop
	01gimp.desktop
	01firefox.desktop
	01gnome-terminal.desktop
	01f-spot.desktop
	01inkscape.desktop
	01separator.desktop
	01thunderbird.desktop
	02separator.desktop
	03separator.desktop
	DESTINATION ${pkgdatadir}/themes/_default_/launchers)
