=== debian/changelog ===
cairo-dock (2.3.0~1-0ubuntu1) natty; urgency=low

  * New Upstream Version (LP: #723994)
  * Upstream short ChangeLog:
   - Updated translations
   - Updated the integration of the new versions of kwin and compiz
   - Updated default theme
   - Fixed a few bugs
   - Updated the man
  * debian/control:
   - Added suggests apps for cairo-dock-core (needed by the default theme)
   - Updated the description (from launchpad.net/cairo-dock)
   - Added cairo-dock-plug-ins as a new suggestion for cairo-dock-core
  * debian/patches:
   - Updated the default theme to use default apps of Ubuntu Natty 
  * Switch to dpkg-source 3.0 (quilt) format
  * Removed the desktop-file-category patch (sync with debian packages)
  * debian/rules:
   - Added a CMake flag to disable the gtk grip
   - No longer used simple-patchsys
  * Updated the debian/watch

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 17 Mar 2011 14:08:48 +0100

cairo-dock (2.2.0~4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #653702)
  * Fixed a few bugs:
   - Fixed a random crash if CD is launched much time before the WM
   - Improved the OpenGL backend.
   - Some Images paths were wrong
   - Icon label text was truncated (LP: #611738)
   - Fixed a bug when the font was too big
   - Gauges: Add a line return in order to read all Readme file
   - Dialogues don't respect selected font (LP: #518628)
  * data/help.conf.in:
   - Removed the Gnome-Panel: Used the right gconf key

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 06 Oct 2010 19:23:03 +0200

cairo-dock (2.2.0~2-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #638527)
  * Fixed a few bugs:
   - Third-party applets can be deleted if the user switch to offline
   - Fixed a crash when changing the theme
   - Fixed transparency for data-renderer texts
   - Installed in lib/ directory by default for 64bits architecture
   - Fixed the name of applets in the launchers config panel
   - Fixed address of third-party applets in the menu
   - Code cleaning.
  * Updated Translations
  * debian/patches
   - Updated 01-desktop-file-category.patch (desktop files has changed)
  * data/messages: Removed an useless file
  * Removed a few useless excecution rights.

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 18 Sep 2010 14:17:48 +0200

cairo-dock (2.2.0~0rc1-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #632055)
  * Fixed a few bugs on LP:
   - LP: #618336 all button tips visible if icons 'maximum zoom' set to 1.0
   - LP: #614686 create new sud-dock icon that looking like flat
   - LP: #612617 Add custom launchers or sub-docks, can't modify name.
   - LP: #612355 Add option in config file to set GL/Cairo mode            
   - LP: #611733 icon labels go off-screen
  * Fixed a crash when changing theme or gauges
  * Updated translations

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 07 Sep 2010 20:31:25 +0200

cairo-dock (2.2.0~0beta4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #614624)
  * Fixed a few bugs on LP:
   - LP: #518453: Dock appears under all windows
                   (Compiz - fullscreen window)
   - LP: #521369: Separator are not removed when closing
                   grouped windows
   - LP: #521762: Some sentences are not correct
   - LP: #526466: Icons of apps with same class shouldn't
                   be stacked by default
   - LP: #535083: Dialogues looks ugly when a lot of them
                   appears at the same time
   - More details on the 'ChangeLog' file
  * debian/rules:
   - Autotools has been replaced by CMake
   - Man pages are now included in the source code
  * debian/copyright:
   - Updated with the new pathes and new files
  * debian/control:
   - Autotools has been replaced by CMake
   - Added libcurl4-gnutls-dev as Build-deps
   - Bump Standard-Version to 3.9.1
  * debian/cairo-dock-core.install:
   - Man pages are now included in the source code
   - All sonames are now installed into lib32 or lib64
  * debian/cairo-dock-dev.install:
   - pkgconfig is now installed into lib32 or lib64

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 09 Aug 2010 23:26:12 +0200

cairo-dock (2.1.3-10-lucid-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version (LP: #568083).
  * Fixed some bugs:
   - Fixed a important crash when read several xml data
   - LP: #521167 Cairo-dock crashes by theme changing
   - Fixed a bug with desklets buttons
   - Used icons of the system
   - Fixed a bug when removing a container with OpenGL backend
   - Fixed some typo on some define
   - Fixed a little bug in the drag motion
   - Reduced the disk access for SSD disk
  * Used the official Ubuntu Lucid theme.

  [ Iain Lane ]
  * debian/watch: Update to match current upstream version

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 20 Apr 2010 02:44:22 +0200

cairo-dock (2.1.3-6-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version. (LP: #521534)
  * Updated debian/watch and debian/copyright with LP account.
  * Removed debian/patches/02-merge-changelog.patch'
   - data/ChangeLog.txt has to respect a syntax and is used by CD.
  * debian/cairo-dock.1:
   - Updated with the latest release.
   - The domain name 'cairo-dock.org' has changed to 'glx-dock.org'
  * debian/control:
   - Changed the homepage and other links (glx-dock.org)
   - Updated cairo-dock-dev architecture to 'all' (it no longer contains compiled files)
  * debian/cairo-dock-dev.install
   - libcairo-dock.a and libcairo-dock.so no longer exist
  * debian/rules
   - removed uneeded changelog file
  * Updated debian/patches/01-desktop-file-category.patch

  [ Didier Roche ]
  * Fix debian/watch
  * Fix some issue in versionning
  * debian/control: clean the packaging and add right -plugins depends

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 01 Mar 2010 21:24:00 +0100

cairo-dock (2.0.9-0ubuntu1) karmic; urgency=low


