=== debian/control ===
Source: cairo-dock
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Julien Lavergne <julien.lavergne@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: 	cdbs, 
		debhelper (>= 7),
		cmake,
		libcairo2-dev, 
		libgtk2.0-dev, 
		librsvg2-dev,
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libxrender-dev,
		libxcomposite-dev,
		libgtkglext1-dev,
		libxinerama-dev,
		libglib2.0-dev,
		libcurl4-gnutls-dev,
		gawk
Standards-Version: 3.9.1
Homepage: http://www.glx-dock.org/

Package: cairo-dock
Section: graphics
Architecture: all
Conflicts: 	cairo-dock (<= 2.0.8.0)
Depends: 	cairo-dock-core (>= ${source:Version}),
		cairo-dock-plug-ins (>= ${source:Version}),
		${misc:Depends}
Description: A light and eye-candy dock to launch your programs (metapackage)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This metapackage provides the components necessary for running Cairo-Dock. It
 provides the Cairo-Dock core, a set of standard plugins and the files necessary
 to integrate Cairo-Dock with your desktop environment. 

Package: cairo-dock-core
Section: graphics
Architecture: any
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0) 
Depends: 	cairo-dock-data (>= ${source:Version}),
		${shlibs:Depends}, 
		${misc:Depends}
Recommends:	cairo-dock, cairo-dock-plug-ins
Suggests:	firefox, gnome-terminal, empathy, inkscape, gimp, shotwell, rhythmbox
Description: A light and eye-candy dock to launch your programs (core package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package is the core of Cairo-Dock project.

Package: cairo-dock-dev
Section: libdevel
Architecture: all
Depends: 	cairo-dock-core (>= ${source:Version}),
		${misc:Depends},
		cmake,
		libcairo2-dev, 
		libgtk2.0-dev, 
		librsvg2-dev,
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libxrender-dev,
		libxcomposite-dev,
		libgtkglext1-dev,
		libxinerama-dev,
		libglib2.0-dev,
		gawk
Recommends:	cairo-dock-plug-ins
Description: A light and eye-candy dock to launch your programs (dev package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package provides the include files and static library for cairo-dock 
 functions.

Package: cairo-dock-data
Section: graphics
Architecture: all
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0) 
Depends: 	${shlibs:Depends}, 
		${misc:Depends}
Description: A light and eye-candy dock to launch your programs (common files)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains default icons and themes for Cairo-Dock.
