=== debian/changelog ===
cairo-dock (2.3.0~2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #786104)
  * Upstream ChangeLog:
   - Fixed a crash that occured when a class sub-dock was destroyed
      (LP: #773280)
   - Fixed a major bug where the dock couldn't re-appear after a
      menu has been triggerd from outside the dock (ie, from a shortcut)
  * debian/patches:
   - Added an upstream's patch to fix an annoying bug when we slowly
      leave the dock with the cursor on the edge of it

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 21 May 2011 21:03:26 +0200
